<kzm-auth-block>
  <small class="form-text sub-title">Introduce tus datos para iniciar el registro.</small>
  <form (ngSubmit)="register()" #form="ngForm">
    <kzm-auth-message [showMessages]="showMessages" [errors]="errors" [submitted]="submitted" [messages]="messages"></kzm-auth-message>
    <div class="form-group">
      <label for="organization" class="sr-only">Organizaci&oacute;n</label>
      <input name="organization" [(ngModel)]="organization.name" id="organization" #organizationName="ngModel"
             class="form-control" placeholder="Organizacion"
             [class.form-control-danger]="organizationName.invalid && organizationName.touched"
             minlength="2" maxlength="200" autofocus required>
      <small class="form-text error" *ngIf="organizationName.invalid && organizationName.touched && organizationName.errors?.required">
         Organizaci&oacute;n requerida.
      </small>
      <small class="form-text error"
        *ngIf="organizationName.invalid && organizationName.touched && (organizationName.errors?.minlength || organizationName.errors?.maxlength)">
        La organizaci&oacute;n debe ser de 2 a 200 caracteres.
      </small>
    </div>

    <div class="form-group">
      <label for="input-name" class="sr-only">Nombre</label>
      <input name="name" [(ngModel)]="user.name" id="name" #name="ngModel"
             class="form-control" placeholder="Nombre"
             [class.form-control-danger]="name.invalid && name.touched"
             minlength="2" maxlength="200" autofocus required>
      <small class="form-text error" *ngIf="name.invalid && name.touched && name.errors?.required">
        Nombre es requerido.
      </small>
      <small class="form-text error" *ngIf="name.invalid && name.touched && (name.errors?.minlength || name.errors?.maxlength)">
        El nombre debe ser de 2 a 200 caracteres.
      </small>
    </div>

    <div class="form-group">
      <label for="input-name" class="sr-only">Apellidos</label>
      <input name="last-names" [(ngModel)]="user.last_names" id="last-names" #lastNames="ngModel"
             class="form-control" placeholder="Apellidos"
             [class.form-control-danger]="lastNames.invalid && lastNames.touched"
             minlength="2" maxlength="200" autofocus required>
      <small class="form-text error" *ngIf="lastNames.invalid && lastNames.touched && lastNames.errors?.required">
        Apellidos son requeridos.
      </small>
      <small
        class="form-text error"
        *ngIf="lastNames.invalid && lastNames.touched && (lastNames.errors?.minlength || lastNames.errors?.maxlength)">
        El apellido debe ser de 2 a 200 caracteres.
      </small>
    </div>
    <div class="form-group">
      <label for="input-email" class="sr-only">Correo</label>
      <input name="email" [(ngModel)]="user.email" id="input-email" #email="ngModel"
             class="form-control" placeholder="Correo" pattern=".+@.+\..+"
             [class.form-control-danger]="email.invalid && email.touched"
             [required]="getConfigValue('forms.validation.email.required')">
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.required">
        El correo es requerido.
      </small>
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.pattern">
        Debe ser un correo v&aacute;lido.
      </small>
    </div>

    <div class="form-group">
      <label for="input-password" class="sr-only">Contras&ntilde;a</label>
      <input name="password" [(ngModel)]="user.password" type="password" id="input-password"
             class="form-control" placeholder="Contraseña" #password="ngModel"
             [class.form-control-danger]="password.invalid && password.touched"
             [required]="getConfigValue('forms.validation.password.required')"
             [minlength]="getConfigValue('forms.validation.password.minLength')"
             [maxlength]="getConfigValue('forms.validation.password.maxLength')">
      <small class="form-text error" *ngIf="password.invalid && password.touched && password.errors?.required">
        La contrase&ntilde;a es requerida.
      </small>
      <small class="form-text error"
        *ngIf="password.invalid && password.touched && (password.errors?.minlength || password.errors?.maxlength)">
        La contrase&ntilde;a debe ser de por lo menos {{ getConfigValue('forms.validation.password.minLength') }} caracteres.
      </small>
    </div>

    <div class="form-group">
      <label for="input-re-password" class="sr-only">Confirma la contrase&ntilde;a</label>
      <input
        name="rePass" [(ngModel)]="user.password_confirmation" type="password" id="input-re-password"
        class="form-control" placeholder="Confirma la contraseña" #rePass="ngModel"
        [class.form-control-danger]="(rePass.invalid || password.value != rePass.value) && rePass.touched"
        [required]="getConfigValue('forms.validation.password.required')">
      <small class="form-text error" *ngIf="rePass.invalid && rePass.touched && rePass.errors?.required">
        La confirmaci&oacute; es requerida.
      </small>
      <small class="form-text error" *ngIf="rePass.touched && password.value != rePass.value && !rePass.errors?.required">
        La confirmaci&oacute; no coincide.
      </small>
    </div>

    <div class="form-group accept-group col-sm-12" *ngIf="getConfigValue('forms.register.terms')">
      <nb-checkbox name="terms" [(ngModel)]="user.terms" [required]="getConfigValue('forms.register.terms')">
        Acepto los<a href="#" target="_blank"><strong>Terminos & Condiciones</strong></a>
      </nb-checkbox>
    </div>

    <button [disabled]="submitted || !form.valid" class="btn btn-block btn-hero-success" [class.btn-pulse]="submitted">
      Registrar
    </button>
  </form>
  <div class="links">
    <small class="form-text">
      &iquest;Ya tienes una cuenta? <a routerLink="../login"><strong>Log in</strong></a>
    </small>
  </div>
</kzm-auth-block>
